> ## Documentation Index
> Fetch the complete documentation index at: https://monitoryt.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Check API health

> Returns a minimal response when the API is available.



## OpenAPI

````yaml https://monitoryt.com/openapi.yml post /api/public/health
openapi: 3.1.0
info:
  title: Monitor YT Public API
  version: 1.0.0
  description: Programmatic access to Monitor YT feed and tracked-video data.
servers:
  - url: https://monitoryt.com
    description: Production
security: []
paths:
  /api/public/health:
    post:
      tags:
        - Public API
      summary: Check API health
      description: Returns a minimal response when the API is available.
      operationId: healthCheck
      requestBody:
        description: JSON request body
        required: true
        content:
          application/json:
            schema:
              type: object
              properties: {}
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - ok
                required:
                  - status
        '400':
          description: Invalid request body
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                  details: {}
                required:
                  - error
                  - message
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                  details: {}
                required:
                  - error
                  - message
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  message:
                    type: string
                  details: {}
                required:
                  - error
                  - message

````